
-- -----------------------------------------------------------------------------
-- Таблица счетов

DROP TABLE IF EXISTS `bff_bills`;
CREATE TABLE `bff_bills` (
  `id` int(11) NOT NULL auto_increment,    
  `user_id` int(11) unsigned NOT NULL default 0, -- ID пользователя
  `user_balance` float unsigned NOT NULL default 0, -- баланс счета пользователя, на момент создания счета
  `svc_id` int(11) unsigned NOT NULL default 0, -- ID услуги / пакета услуг
  `svc_activate` tinyint(1) unsigned NOT NULL default 0, -- необходимо ли активировать услугу - сразу после оплаты
  `item_id` int(11) unsigned NOT NULL default 0, -- ID записи
  `type` tinyint(1) unsigned NOT NULL default 1, -- тип счета, Bills::TYPE_
  `psystem` tinyint(1) unsigned NOT NULL default 0, -- система(способ) оплаты, Bills::PS_
  `psystem_way` text, -- доп. информация о способе оплаты
  `amount` float unsigned NOT NULL default 0, -- сумма счета (виртуальны деньги, т.е. реальные пересчитанные в основную валюту)
  `money` float unsigned NOT NULL default 0, -- сумма пополнения счета (реальные деньги)
  `currency_id` int(11) unsigned NOT NULL default 0, -- ID валюты
  `created` timestamp NOT NULL default '0000-00-00 00:00:00', -- дата создания счета
  `payed` timestamp NOT NULL default '0000-00-00 00:00:00', -- дата оплаты счета
  `status` tinyint(1) unsigned NOT NULL default 0, -- статус счета, Bills::STATUS_
  `description` text, -- описание счета
  `details` text, -- доп. детали (при ошибке оплаты, обработке счета)
  `ip` varchar(20) NOT NULL default '', -- IP адрес пользователя
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;