
-- -----------------------------------------------------------------------------
-- Таблица счетов

DROP TABLE IF EXISTS "bff_bills";
CREATE TABLE "bff_bills" (
  id serial NOT NULL,
  user_id integer NOT NULL default 0, -- ID пользователя
  user_balance numeric NOT NULL default 0, -- баланс счета пользователя, на момент создания счета
  svc_id int NOT NULL default 0, -- ID услуги / пакета услуг
  svc_activate int2 NOT NULL default 0, -- необходимо ли активировать услугу - сразу после оплаты
  item_id int NOT NULL default 0, -- ID записи
  type int2 NOT NULL default 1, -- тип счета, Bills::TYPE_
  psystem int2 NOT NULL default 0, -- система(способ) оплаты, Bills::PS_
  psystem_way text, -- доп. информация о способе оплаты
  amount numeric NOT NULL default 0, -- сумма счета (виртуальны деньги, т.е. реальные пересчитанные в основную валюту)
  money numeric NOT NULL default 0, -- сумма пополнения счета (реальные деньги)
  currency character(3) NOT NULL default 'rur', -- валюта
  currency_id int default 0, -- ID валюты
  created timestamp with time zone NOT NULL, -- дата создания счета
  payed timestamp with time zone NOT NULL, -- дата оплаты счета
  status int2 NOT NULL default 0, -- статус счета, Bills::STATUS_
  description text, -- описание счета
  details text, -- доп. детали (при ошибке оплаты, обработке счета)
  ip varchar(20) NOT NULL, -- IP адрес пользователя
  CONSTRAINT bff_bills_pkey PRIMARY KEY (id)
);
