
-- --------------------------------------------------------
-- таблица регионов, numlevel:
-- 1) страны
-- 2) области
-- 3) города

DROP TABLE IF EXISTS `bff_regions`;
CREATE TABLE `bff_regions` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `country` int(11) unsigned NOT NULL default 0,
  `pid` int(11) unsigned NOT NULL,
  `title_ru` varchar(255) NOT NULL,
  `declension` text,
  `keyword` varchar(30) NOT NULL,
  `ycoords` varchar(20) NOT NULL default '',
  `enabled` tinyint(1) NOT NULL default 1,
  `metro` tinyint(1) NOT NULL default 0,
  `numlevel` tinyint(1) unsigned NOT NULL default 0,
  `num` int(11) unsigned NOT NULL,
  `main` int(11) unsigned NOT NULL default 0,
  `geo_id` int(11) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  KEY `geo_id` (`geo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
-- таблица GEO-IP (ipgeobase)

DROP TABLE IF EXISTS `bff_regions_geoip`;
CREATE TABLE `bff_regions_geoip` (
  `ip_start` char(15) NOT NULL default '0.0.0.0',
  `ip_end` char(15) NOT NULL default '0.0.0.0',
  `range_start` int unsigned NOT NULL default 0,
  `range_end` int unsigned NOT NULL default 0,
  `country_code` char(2) NOT NULL default '',
  `city_id` int(11) unsigned NOT NULL default 0,
  UNIQUE (`range_start`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- таблица станций(веток) метро

DROP TABLE IF EXISTS `bff_regions_metro`;
CREATE TABLE `bff_regions_metro` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `pid` int(11) unsigned NOT NULL default 0,
  `city_id` int(11) unsigned NOT NULL,
  `title_ru` varchar(255) NOT NULL,
  `branch` tinyint(1) unsigned NOT NULL default 0,
  `color` varchar(20) NOT NULL default '',
  `num` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `city_id` (`city_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
-- таблица районов города

DROP TABLE IF EXISTS `bff_regions_districts`;
CREATE TABLE `bff_regions_districts` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `city_id` int(11) unsigned NOT NULL,
  `title_ru` varchar(255) NOT NULL,
  `declension` text,
  `ybounds` varchar(50) NOT NULL,
  `ypoly` text,
  PRIMARY KEY (`id`),
  KEY `city_id` (`city_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
