-- --------------------------------------------------------
-- таблица регионов, numlevel:
-- 1) страны
-- 2) области
-- 3) города
DROP TABLE IF EXISTS "bff_regions";
CREATE TABLE "bff_regions" (
  id serial NOT NULL,
  country integer NOT NULL default 0,
  pid integer NOT NULL,
  title_ru varchar(255) NOT NULL,
  declension text,
  keyword varchar(30) NOT NULL,
  ycoords varchar(20) NOT NULL,
  enabled int2 NOT NULL default 1,
  metro int2 NOT NULL default 0,
  numlevel int2 NOT NULL default 0,
  num integer NOT NULL,
  main int2 NOT NULL default 0,
  geo_id integer NOT NULL default 0,
  CONSTRAINT bff_regions_pkey PRIMARY KEY (id)
);

CREATE INDEX "bff_regions_geo_id_idx" ON "bff_regions" (geo_id);

-- --------------------------------------------------------
-- таблица GEO-IP (ipgeobase)
DROP TABLE IF EXISTS "bff_regions_geoip";
CREATE TABLE "bff_regions_geoip" (
  ip_start character(15) NOT NULL default '0.0.0.0',
  ip_end character(15) NOT NULL default '0.0.0.0',
  range_start integer NOT NULL default 0,
  range_end integer NOT NULL default 0,
  country_code character(2) NOT NULL default '',
  city_id integer NOT NULL default 0,
  CONSTRAINT bff_regions_geoip_unique_range_start UNIQUE (range_start)
);

-- --------------------------------------------------------
-- Таблица станций/веток метро
DROP TABLE IF EXISTS "bff_regions_metro";
CREATE TABLE "bff_regions_metro" (
  id serial NOT NULL,
  pid integer NOT NULL default 0,
  city_id integer NOT NULL default 0,
  title_ru varchar(255) NOT NULL,
  branch int2 NOT NULL default 0,
  color varchar(20) NOT NULL default '',
  num integer NOT NULL,
  CONSTRAINT bff_regions_metro_pkey PRIMARY KEY (id)
);

CREATE INDEX "bff_regions_metro_city_idx" ON "bff_regions_metro" (city_id);

-- --------------------------------------------------------
-- таблица районов городов

DROP TABLE IF EXISTS "bff_regions_districts";
CREATE TABLE "bff_regions_districts" (
  id serial NOT NULL,
  city_id integer NOT NULL default 0,
  title_ru varchar(255) NOT NULL,
  declension text,
  ybounds varchar(50) NOT NULL,
  ypoly text,
  CONSTRAINT bff_regions_districts_pkey PRIMARY KEY (id)
);
CREATE INDEX "bff_regions_districts_city_idx" ON "bff_regions_districts" (city_id);
