
-- --------------------------------------------------------
-- Настройки

DROP TABLE IF EXISTS `bff_config`;
CREATE TABLE `bff_config` (
    `config_name` varchar(255) DEFAULT '' NOT NULL,
    `config_value` text,
    `is_dynamic` tinyint(1) unsigned NOT NULL default 0,
    PRIMARY KEY (`config_name`),
    KEY `is_dynamic` (`is_dynamic`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- Запросы к сайту (для защиты от спама)

DROP TABLE IF EXISTS `bff_site_requests`;
CREATE TABLE `bff_site_requests` (
  user_action char(50) NOT NULL default '',
  user_id int(11) unsigned default 0,
  user_ip char(15) NOT NULL default '',
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  KEY user_action_id (user_action, user_id),
  KEY user_action_ip (user_action, user_ip)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- Модули-методы

DROP TABLE IF EXISTS `bff_module_methods`;
CREATE TABLE IF NOT EXISTS `bff_module_methods` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(50) NOT NULL default '',
  `method` varchar(100) NOT NULL default '',
  `title` char(150) NOT NULL,
  `number` int(11) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ukey` (`module`,`method`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
-- Страницы

DROP TABLE IF EXISTS `bff_pages`;
CREATE TABLE `bff_pages` (
  id int(11) unsigned NOT NULL auto_increment,
  filename varchar(100) NOT NULL default '',
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  modified timestamp NOT NULL default '0000-00-00 00:00:00',
  modified_uid int(11) unsigned NOT NULL default 0,
  issystem tinyint NOT NULL default 0,
  mtemplate tinyint(1) unsigned NOT NULL default 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `bff_pages_lang`;
CREATE TABLE `bff_pages_lang` (
  id int(11) unsigned NOT NULL,
  lang char(2) NOT NULL default '',
  title varchar(150) NOT NULL default '',
  content text,
  mtitle text,
  mkeywords text,
  mdescription text,
  UNIQUE KEY `lang` (`id`,`lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- Таблица счетчиков

DROP TABLE IF EXISTS `bff_counters`;
CREATE TABLE `bff_counters` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `code` text,
  `enabled` tinyint(1) unsigned NOT NULL default 0,
  `created` timestamp NOT NULL default '0000-00-00 00:00:00',
  `num` int(11) unsigned NOT NULL default 0,
  PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
-- Таблицы валют

DROP TABLE IF EXISTS `bff_currencies`;
CREATE TABLE `bff_currencies` (
  id tinyint(1) unsigned NOT NULL auto_increment,
  keyword varchar(100) NOT NULL default '',
  enabled tinyint(1) unsigned NOT NULL default '1',
  rate decimal(7,4) unsigned NOT NULL default '0.0000',
  num tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

DROP TABLE IF EXISTS `bff_currencies_lang`;
CREATE TABLE `bff_currencies_lang` (
  id tinyint(1) unsigned NOT NULL,
  lang char(2) NOT NULL default '',
  title varchar(100) NOT NULL default '',
  title_short varchar(100) NOT NULL default '',
  title_decl varchar(100) NOT NULL default '',
  UNIQUE KEY `lang` (`id`,`lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `bff_currencies` (id, keyword, enabled, rate, num) VALUES
(1, 'rub', 1, 1, 1),
(2, 'uah', 1, 1, 2),
(3, 'usd', 1, 1, 3),
(4, 'eur', 1, 1, 4);

INSERT INTO `bff_currencies_lang` (id, lang, title, title_short, title_decl) VALUES
(1, 'ru', 'Рубли', 'руб.', 'рубль;рубля;рублей'),
(2, 'ru', 'Гривна', 'грн.', 'гривна;гривны;гривен'),
(3, 'ru', 'Доллары', '$', 'доллар;доллара;долларов'),
(4, 'ru', 'Евро', 'евр.', 'евро;евро;евро');