
DROP TABLE IF EXISTS `bff_sitemap`;
CREATE TABLE `bff_sitemap` (
  id int(11) unsigned NOT NULL auto_increment,
  pid int(11) unsigned NOT NULL default 0,
  type tinyint(1) unsigned NOT NULL default 0,
  keyword varchar(15) NOT NULL default '',
  link text,
  target enum('_self','_blank') NOT NULL default '_self',
  style varchar(150) NOT NULL default '',
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  is_system tinyint(1) unsigned NOT NULL default 0,
  allow_submenu tinyint(1) unsigned NOT NULL default 0,
  numleft int(11) default NULL,
  numright int(11) default NULL,
  numlevel int(11) default NULL,
  enabled tinyint(1) unsigned NOT NULL default 1,
  changefreq varchar(40) NOT NULL default '',
  priority varchar(15) NOT NULL default '',
  PRIMARY KEY (id),
  UNIQUE KEY id (id,numleft,numright)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `bff_sitemap_lang`;
CREATE TABLE `bff_sitemap_lang` (
  id int(11) unsigned NOT NULL,
  lang char(2) NOT NULL default '',
  title varchar(150) NOT NULL default '',
  mtitle text,
  mkeywords text,
  mdescription text,
  UNIQUE KEY lang (id,lang)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;