
DROP TABLE IF EXISTS "bff_sitemap";
CREATE TABLE "bff_sitemap" (
  id serial NOT NULL,
  pid integer NOT NULL default 0,
  type int2 NOT NULL default 0,
  keyword varchar(15) NOT NULL default '',
  link text,
  target varchar(10) NOT NULL default '_self'::varchar,
  style varchar(150) NOT NULL default '',
  created timestamp with time zone,
  is_system int2 NOT NULL default 0,
  allow_submenu int2 NOT NULL default 0,
  numleft integer default NULL,
  numright integer default NULL,
  numlevel integer default NULL,
  enabled int2 NOT NULL default 1,
  changefreq varchar(40) NOT NULL default '',
  priority varchar(15) NOT NULL default '',
  CONSTRAINT bff_sitemap_pkey PRIMARY KEY (id),
  CONSTRAINT bff_sitemap_unique UNIQUE (id, numleft, numright)
);

DROP TABLE IF EXISTS "bff_sitemap_lang";
CREATE TABLE "bff_sitemap_lang" (
  id integer NOT NULL,
  lang character(2) NOT NULL default '',
  title varchar(150) NOT NULL default '',
  mtitle text,
  mkeywords text,
  mdescription text,
  CONSTRAINT bff_sitemap_lang_unique UNIQUE (id, lang)
);