<?php
/**
 * Системные настройки
 */

$config = array(
    'site.host'   => 'example.net',
    'site.static' => '//example.net',
    'site.title'  => 'Имя сайта', // название сайта, для подобных случаев: "Я уже зарегистрирован на {Example.com}"
    /**
     * Доступ к базе данных
     */
    'db.type' => 'mysql', // варианты: pgsql, mysql
    'db.host' => 'localhost', // варианты: localhost, ...
    'db.port' => '3306', // варианты: pgsql - 5432, mysql - 3306
    'db.name' => 'db_name',
    'db.user' => 'user_bd',
    'db.pass' => 'pass_bd',
    'db.charset' => 'UTF8',
    'db.prefix' => 'bff_',
    /**
     * Mail
     */
    'mail.support'  => 'support@example.net',
    'mail.noreply'  => 'noreply@example.net',
    'mail.admin'    => 'admin@example.net',
    'mail.fromname' => 'Имя сайта',
    'mail.method'   => 'mail', // варианты: mail, sendmail, smtp
    'mail.smtp' => array(
        'host'=>'localhost',
        'port'=>25,
        'user'=>'',
        'pass'=>'',
    ),
    /**
     * Локализация
     */
     'locale.available' => array( // список языков (используемых на сайте)
        // ключ языка => название языка
        'ru' => 'Русский',
        'uk' => 'Украинский',
     ),
     'locale.default' => 'ru', // язык по-умолчанию
    /**
     * Настройки услуг и систем оплаты (bills)
     * Полный список доступных настроек указан в BillsModuleBase::init методе
     */
    'services.enabled' => true, // платные услуги (true - включены, false - выключены)
    'bills.robox.test' => false,
    'bills.robox.login' => '',
    'bills.robox.pass1' => '',
    'bills.robox.pass2' => '',
    /**
     * Sphinx (если используется)
     */
    'sphinx.enabled' => false, // варианты: true, false
    'sphinx.host'    => 'localhost',
    'sphinx.port'    => 9312,
    /**
     * Модули / Компоненты
     */
    'session.start.always' => false, // Стартовать ли сессию всегда(true), либо только после успешной авторизации(false)
    'users.activity.timeout' => 600, // Кол-во секунд, в течении которых пользователь считается "online"
    'thumbnail.method' => 'gd', // библиотека обработки изображений
    /**
     * Debug
     */
    'php.errors.reporting' => -1, // all
    'php.errors.display'   => 0, // отображать ошибки (варианты: 1|0)
    'localhost' => false, // localhost (варианты: true|false), для разработки на локальной машине
    'debug' => false, // варианты:true|false - включить debug-режим
    /**
     * Дополнительные настройки:
     * ! Настоятельно не рекомендуется изменять после запуска проекта
     */
    'date.timezone' => 'Europe/Moscow', // часовой пояс
    'cookie.prefix' => 'bff_', // cookie префикс
    'currency.default' => 2, // основная валюта (ID)
    /**
     * Доступный тип пользователя, публикующего объявление, варианты:
     * 1) 'user' - только пользователь (добавление объявлений доступно сразу, объявления размещаются только "от частного лица"), модуль магазинов(shops) при этом может отсутствовать.
     * 2) 'shop' - только магазин (добавление объявлений доступно после открытия магазина, только "от магазина")
     * 3) 'user-or-shop' - пользователь или магазин (добавление объявлений доступно сразу только "от частного лица", после открытия магазина - объявления размещаются "от частного лица" или "от магазина")
     * 4) 'user-to-shop' - пользователь и магазин (добавление объявлений доступно сразу только "от частного лица", после открытия магазина - объявления размещаются только "от магазина")
     * ! Настоятельно не рекомендуется изменять после запуска проекта
     */
    'bbs.publisher' => 'user-or-shop',
);


return $config;