
-- ---------------------------------------------------------------------
-- Таблица позиций баннеров

DROP TABLE IF EXISTS `bff_banners_pos`;
CREATE TABLE IF NOT EXISTS `bff_banners_pos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `keyword` varchar(50) NOT NULL,
  `title` varchar(150) NOT NULL default '',
  `width` varchar(10) NOT NULL default '0',
  `height` varchar(10) NOT NULL default '0',
  `rotation` tinyint(1) unsigned NOT NULL default 0,
  `filter_sitemap` tinyint(1) unsigned NOT NULL default 0,
  `filter_auth_users` tinyint(1) unsigned NOT NULL default 0,
  `filter_region` tinyint(1) unsigned NOT NULL default 0,
  `filter_category` tinyint(1) unsigned NOT NULL default 0,
  `filter_category_module` varchar(25) NOT NULL default '',
  `enabled` tinyint(1) unsigned NOT NULL default 1,
  PRIMARY KEY (`id`),
  UNIQUE KEY (`keyword`)
) ENGINE=InnoDB default CHARSET=utf8 AUTO_INCREMENT=1;

-- ---------------------------------------------------------------------
-- Таблица баннеров

DROP TABLE IF EXISTS `bff_banners_stat`;
DROP TABLE IF EXISTS `bff_banners`;
CREATE TABLE IF NOT EXISTS `bff_banners` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) unsigned NOT NULL default 3, # тип баннера, Banners::TYPE_
  `type_data` text,
  `img` varchar(30) NOT NULL default '',
  `pos` int(11) unsigned NOT NULL default 0, # ID позиции
  `sitemap_id` text, # связь с разделами сайта (Sitemap)
  `region_id` int(11) unsigned NOT NULL default 0,
  `category_id` text,
  `url_match` text,
  `url_match_exact` tinyint(1) unsigned NOT NULL default 0,
  `click_url` text,
  `show_start` timestamp NOT NULL default '0000-00-00 00:00:00',
  `show_finish` timestamp NOT NULL default '0000-00-00 00:00:00',
  `show_limit` int(11) unsigned NOT NULL default 0,
  `title` varchar(150) NOT NULL default '',
  `description` text,
  `alt` varchar(150) NOT NULL default '',
  `enabled` tinyint(1) unsigned NOT NULL default 0,
  `created` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `pos` (`pos`)
) ENGINE=InnoDB default CHARSET=utf8 AUTO_INCREMENT=1;

-- ---------------------------------------------------------------------
-- Таблица статистики просмотров/переходов

CREATE TABLE IF NOT EXISTS `bff_banners_stat` (
  `banner_id` int(11) unsigned NOT NULL,
  `clicks` int(11) unsigned NOT NULL default 0,
  `shows` int(11) unsigned NOT NULL default 0,
  `period` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`banner_id`,`period`),
  FOREIGN KEY (banner_id) REFERENCES bff_banners(id) ON DELETE CASCADE
) ENGINE=InnoDB default CHARSET=utf8;

-- --------------------------------------------------------
-- права групп пользователей
DELETE FROM `bff_module_methods` WHERE module IN('banners');
INSERT INTO `bff_module_methods` (`module`, `method`, `title`, `number`) VALUES
('banners', 'banners', 'Баннеры', 70),
('banners', 'listing', 'Просмотр списка баннеров / позиций баннеров', 1),
('banners', 'edit', 'Управление баннерами / позициями баннеров', 2);