
DROP TABLE IF EXISTS `bff_bbs_svc_price`;
DROP TABLE IF EXISTS `bff_bbs_items_sendfriend`;
DROP TABLE IF EXISTS `bff_bbs_items_images`;
DROP TABLE IF EXISTS `bff_bbs_items_comments`;
DROP TABLE IF EXISTS `bff_bbs_items_views`;
DROP TABLE IF EXISTS `bff_bbs_items_fav`;
DROP TABLE IF EXISTS `bff_bbs_items_claims`;
DROP TABLE IF EXISTS `bff_bbs_items`;
DROP TABLE IF EXISTS `bff_bbs_categories_types`;
DROP TABLE IF EXISTS `bff_bbs_categories_dynprops_multi`;
DROP TABLE IF EXISTS `bff_bbs_categories_dynprops`;
DROP TABLE IF EXISTS `bff_bbs_categories_lang`;
DROP TABLE IF EXISTS `bff_bbs_categories`;

CREATE TABLE `bff_bbs_categories` (
  id int(11) unsigned NOT NULL AUTO_INCREMENT,
  pid int(11) unsigned NOT NULL default 0,
  numleft int(11) default NULL,
  numright int(11) default NULL,
  numlevel int(11) default NULL,
  title varchar(100) NOT NULL default '',
  keyword varchar(300) NOT NULL default '',
  keyword_edit varchar(200) NOT NULL default '',
  enabled tinyint(1) unsigned NOT NULL default 1,
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  modified timestamp NOT NULL default '0000-00-00 00:00:00',
  addr tinyint(1) unsigned NOT NULL default 0,
  price tinyint(1) unsigned NOT NULL default 0,
  price_sett text,
  owner_business tinyint(1) unsigned NOT NULL default 1,
  owner_search tinyint(1) unsigned NOT NULL default 0,
  photos tinyint(1) unsigned NOT NULL default 8,
  seek tinyint(1) unsigned NOT NULL default 0,
  icon_b varchar(20) NOT NULL default '',
  icon_s varchar(20) NOT NULL default '',
  items mediumint(8) unsigned NOT NULL DEFAULT 0,
  shops int(11) unsigned NOT NULL DEFAULT 0,
  subs_filter_level smallint unsigned NOT NULL DEFAULT 0,
  mtemplate tinyint(1) unsigned NOT NULL default 1,
  PRIMARY KEY (id),
  KEY keyword (keyword),
  UNIQUE KEY id (id,numleft,numright)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE `bff_bbs_categories_lang` (
  id int(11) unsigned NOT NULL,
  lang char(2) NOT NULL default '',
  title varchar(100) NOT NULL default '',
  mtitle text,
  mkeywords text,
  mdescription text,
  seotext text,
  titleh1 text,
  breadcrumb text,
  type_offer_form varchar(50) NOT NULL default '',
  type_offer_search varchar(50) NOT NULL default '',
  type_seek_form varchar(50) NOT NULL default '',
  type_seek_search varchar(50) NOT NULL default '',
  owner_private_form varchar(50) NOT NULL default '',
  owner_private_search varchar(50) NOT NULL default '',
  owner_business_form varchar(50) NOT NULL default '',
  owner_business_search varchar(50) NOT NULL default '',
  subs_filter_title text,
  UNIQUE KEY lang (id,lang),
  FOREIGN KEY (id) REFERENCES bff_bbs_categories(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `bff_bbs_categories` (id, pid, numleft, numright, numlevel, title) VALUES(1, 0, 1, 2, 0, 'Корневой раздел');
INSERT INTO `bff_bbs_categories_lang` (id, lang, title) VALUES(1, 'ru', 'Корневой раздел');

-- ------------------------------------------------------------------------------------
-- таблица типов категорий объектов
CREATE TABLE `bff_bbs_categories_types` (
  id smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  cat_id int(11) unsigned NOT NULL default 0,
  title_ru varchar(100) NOT NULL default '',
  title_uk varchar(100) NOT NULL default '',
  enabled tinyint(1) unsigned NOT NULL default 1,
  items mediumint(8) unsigned NOT NULL DEFAULT 0,
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  modified timestamp NOT NULL default '0000-00-00 00:00:00',
  num tinyint(1) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (id),
  KEY cat_id (cat_id),
  FOREIGN KEY (cat_id) REFERENCES bff_bbs_categories(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- таблица дин. свойств категорий
CREATE TABLE `bff_bbs_categories_dynprops` (
  id int(11) unsigned NOT NULL auto_increment,
  cat_id int(11) unsigned NOT NULL default 0,
  title_ru varchar(100) default '',
  title_uk varchar(100) default '',
  description_ru text,
  description_uk text,
  type tinyint(1) NOT NULL,
  default_value text,
  req tinyint(1) unsigned NOT NULL default 0,
  is_search tinyint(1) NOT NULL default 0,
  cache_key varchar(100) NOT NULL default '',
  extra text,
  parent tinyint(1) unsigned NOT NULL default 0,
  parent_id int(11) unsigned NOT NULL default 0,
  parent_value smallint(5) unsigned NOT NULL default 0,
  enabled tinyint(1) unsigned NOT NULL default 1,
  data_field tinyint(1) unsigned NOT NULL default 0,
  num tinyint(1) unsigned NOT NULL default 0,
  txt tinyint(1) unsigned NOT NULL default 0,
  in_table tinyint(1) unsigned NOT NULL default 0,
  search_hidden tinyint(1) NOT NULL default 0,
  in_seek tinyint(1) unsigned NOT NULL default 0,
  num_first tinyint(1) unsigned NOT NULL default 0,
  PRIMARY KEY (id),
  FOREIGN KEY (cat_id) REFERENCES bff_bbs_categories(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- таблица дин. свойств категорий (варианты выбора для выпадающих списков и т.п.)
CREATE TABLE IF NOT EXISTS `bff_bbs_categories_dynprops_multi` (
  dynprop_id int(11) unsigned NOT NULL DEFAULT 0,
  name_ru varchar(100) default '',
  name_uk varchar(100) default '',
  value int NOT NULL,
  num tinyint(1) unsigned NOT NULL DEFAULT 0,
  FOREIGN KEY (dynprop_id) REFERENCES bff_bbs_categories_dynprops(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- таблица объявлений
CREATE TABLE IF NOT EXISTS `bff_bbs_items` (
  id int(11) unsigned NOT NULL auto_increment,
  user_id int(11) unsigned NOT NULL default 0,
  user_ip varchar(15) NOT NULL default '',
  shop_id int(11) unsigned NOT NULL default 0, -- ID магазина
  status tinyint(1) unsigned NOT NULL default 1, -- статус объявления
  status_prev tinyint(1) unsigned NOT NULL default 1, -- предыдущий статус объявления
  status_changed timestamp NOT NULL default '0000-00-00 00:00:00', -- дата последнего изменения статуса
  deleted tinyint(1) unsigned NOT NULL default 0, -- удалено пользователем
  activate_key varchar(32) NOT NULL default '', -- ключ активации
  activate_expire timestamp NOT NULL default '0000-00-00 00:00:00', -- срок действия ключа активации
  cat_id int(11) unsigned NOT NULL default 0,
  cat_id1 int(11) unsigned NOT NULL default 0,
  cat_id2 int(11) unsigned NOT NULL default 0,
  cat_id3 int(11) unsigned NOT NULL default 0,
  cat_id4 int(11) unsigned NOT NULL default 0,
  cat_type smallint(5) unsigned NOT NULL default 0,
  owner_type tinyint(1) unsigned NOT NULL default 1, -- тип владельца
  reg1_country int(11) unsigned NOT NULL default 0,
  reg2_region int(11) unsigned NOT NULL default 0,
  reg3_city int(11) unsigned NOT NULL default 0,
  city_id int(11) unsigned NOT NULL default 0,
  metro_id int(11) unsigned NOT NULL default 0, -- ID станции метро
  addr_addr varchar(300) NOT NULL default '', -- адрес
  addr_lat float(10,6) NOT NULL default 0, -- адрес, координата latitude
  addr_lon float(10,6) NOT NULL default 0, -- адрес, координата longitude
  title varchar(150) NOT NULL default '', -- проквоченный заголовок
  title_edit varchar(100) NOT NULL default '', -- заголовок указаный пользователем
  keyword varchar(150) NOT NULL default '',
  link text, -- URL объявления
  descr text,
  imgfav int(11) unsigned NOT NULL default 0,
  imgcnt tinyint(1) unsigned NOT NULL default 0,
  img_s varchar(250) NOT NULL default '',
  img_m varchar(250) NOT NULL default '',
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  modified timestamp NOT NULL default '0000-00-00 00:00:00',
  price decimal(9,0) unsigned NOT NULL default 0,
  price_search decimal(9,0) unsigned NOT NULL default 0,
  price_curr smallint unsigned NOT NULL default 0,
  price_ex tinyint(1) unsigned NOT NULL default 0,
  name varchar(200) NOT NULL default '',
  phones text,
  skype varchar(50) NOT NULL default '',
  icq varchar(50) NOT NULL default '',
  contacts text,
  video text,
  video_embed text,
  publicated timestamp NOT NULL default '0000-00-00 00:00:00', -- дата публикации
  publicated_to timestamp NOT NULL default '0000-00-00 00:00:00', -- срок окончания публикации объявления
  publicated_order timestamp NOT NULL default '0000-00-00 00:00:00', -- порядок сортировки (обновляется в момент поднятия)
  -- услуги
  svc int(11) unsigned NOT NULL default 0, -- битовое поле активированных услуг
  svc_up_activate tinyint(1) unsigned NOT NULL default 0, -- кол-во доступных для активации "Поднятий" (купленных пакетно)
  svc_fixed_to timestamp NOT NULL default '0000-00-00 00:00:00', -- срок окончания действия услуги "Закрепление"
  svc_fixed_order timestamp NOT NULL default '0000-00-00 00:00:00', -- дата активации услуги "Закрепления" (для сортировки среди "Закрепленных")
  svc_premium_to timestamp NOT NULL default '0000-00-00 00:00:00', -- срок окончания действия услуги "Премиум"
  svc_premium_order timestamp NOT NULL default '0000-00-00 00:00:00', -- дата активации услуги "Премиум" (для сортировки среди "Премиум")
  svc_marked_to timestamp NOT NULL default '0000-00-00 00:00:00', -- срок окончания действия услуги "Выделение"
  svc_press_status tinyint(1) unsigned NOT NULL default 0, -- статус "Печать в прессе"
  svc_press_date date NOT NULL default '0000-00-00', -- дата "Печати в прессе"
  svc_quick_to timestamp NOT NULL default '0000-00-00 00:00:00', -- срок окончания действия услуги "Срочно"

  moderated tinyint(1) unsigned NOT NULL default 0,
  blocked_num tinyint(1) unsigned NOT NULL default 0,
  blocked_reason text,
  views_total int(11) unsigned NOT NULL default 0,
  views_item_total int(11) unsigned NOT NULL default 0,
  views_contacts_total int(11) unsigned NOT NULL default 0,
  views_today mediumint(8) unsigned NOT NULL default 0,
  comments_cnt smallint(5) unsigned NOT NULL default 0,
  claims_cnt smallint(5) unsigned NOT NULL default 0,
  messages_total smallint(5) unsigned NOT NULL default 0,
  messages_new smallint(5) unsigned NOT NULL default 0,
  -- дин. свойства
  f1 double NOT NULL default 0,
  f2 double NOT NULL default 0,
  f3 double NOT NULL default 0,
  f4 double NOT NULL default 0,
  f5 double NOT NULL default 0,
  f6 double NOT NULL default 0,
  f7 double NOT NULL default 0,
  f8 double NOT NULL default 0,
  f9 double NOT NULL default 0,
  f10 double NOT NULL default 0,
  f11 double NOT NULL default 0,
  f12 double NOT NULL default 0,
  f13 double NOT NULL default 0,
  f14 double NOT NULL default 0,
  f15 double NOT NULL default 0,
  f16 text,
  f17 text,
  f18 text,
  f19 text,
  f20 text,
  PRIMARY KEY (id),
  KEY user_id (user_id),
  KEY item_status (status),
  KEY item_cat (cat_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------
-- таблица изображений объявлений
CREATE TABLE `bff_bbs_items_images` (
  id int(11) unsigned NOT NULL AUTO_INCREMENT,
  item_id int(11) unsigned NOT NULL,
  user_id int(11) unsigned NOT NULL,
  filename varchar(15) NOT NULL default '',
  dir varchar(10) NOT NULL default '',
  srv tinyint(1) NOT NULL DEFAULT 0,
  created timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  width mediumint(8) unsigned NOT NULL default 0,
  height mediumint(8) unsigned NOT NULL default 0,
  num int(11) unsigned NOT NULL default 0,
  PRIMARY KEY (id),
  FOREIGN KEY (item_id) REFERENCES bff_bbs_items(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- таблица комментариев объявления
CREATE TABLE `bff_bbs_items_comments` (
  id bigint unsigned NOT NULL auto_increment,
  pid bigint unsigned NULL default 0,
  numlevel smallint(5) unsigned NULL default 0,
  item_id int(11) unsigned NOT NULL,
  user_id int(11) unsigned NOT NULL,
  user_ip varchar(15) NOT NULL default '',
  message text,
  name varchar(100) NOT NULL default '',
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  moderated tinyint(1) unsigned NOT NULL default 0,
  deleted tinyint(1) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  FOREIGN KEY (item_id) REFERENCES bff_bbs_items(id) ON DELETE CASCADE,
  FOREIGN KEY (user_id) REFERENCES bff_users(user_id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- таблица статистики просмотров объявления
-- item_views - просмотр страницы ОБ
-- contacts_views - просмотр контактов ОБ
CREATE TABLE IF NOT EXISTS `bff_bbs_items_views` (
  item_id int(11) unsigned NOT NULL,
  item_views mediumint(8) unsigned NOT NULL default 0,
  contacts_views mediumint(8) unsigned NOT NULL default 0,
  period date NOT NULL,
  UNIQUE KEY item_id (item_id,period),
  FOREIGN KEY (item_id) REFERENCES bff_bbs_items(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ------------------------------------------------------------------------------------
-- таблица избранных объявлений
CREATE TABLE IF NOT EXISTS `bff_bbs_items_fav` (
  item_id int(11) unsigned NOT NULL,
  user_id int(11) unsigned NOT NULL,
  UNIQUE KEY item_id (item_id,user_id),
  INDEX (item_id),
  FOREIGN KEY (item_id) REFERENCES bff_bbs_items(id) ON DELETE CASCADE,
  FOREIGN KEY (user_id) REFERENCES bff_users(user_id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- таблица жалоб
CREATE TABLE `bff_bbs_items_claims` (
  id int(11) unsigned NOT NULL auto_increment,
  item_id int(11) unsigned NOT NULL,
  user_id int(11) unsigned default 0,
  user_ip varchar(15) NOT NULL default '',
  reason int(11) unsigned default 0,
  message text,
  viewed tinyint(1) unsigned NOT NULL default 0,
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (id),
  FOREIGN KEY (item_id) REFERENCES bff_bbs_items(id) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- услуги
ALTER TABLE  `bff_svc`
ADD  `icon_b` VARCHAR(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER  `modified_uid` ,
ADD  `icon_s` VARCHAR(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER  `icon_b`;
DELETE FROM `bff_svc` WHERE id IN(1, 2, 4, 8, 16, 17, 32);
INSERT INTO `bff_svc` (`id`, `type`, `keyword`, `module`, `module_title`, `title`, `price`, `settings`, `modified`, `modified_uid`, `icon_b`, `icon_s`, `num`) VALUES
(1, 1, 'up', 'bbs', 'Объявления', 'Поднятие', 5, 'a:7:{s:6:"period";i:1;s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:0;s:2:"on";i:1;s:10:"title_view";a:2:{s:2:"ru";s:16:"Поднятие";s:2:"uk";s:16:"Поднятие";}s:11:"description";a:2:{s:2:"ru";s:459:"Повышая приоритет вашего объявления вы поднимаете его в начало списка объявлений схожей тематики. \r\nЭто удобный способ для привлечения внимания посетителей портала к вашему предложению.\r\nСтаньте первыми в списке и будете лидером по числу просмотров.";s:2:"uk";s:459:"Повышая приоритет вашего объявления вы поднимаете его в начало списка объявлений схожей тематики. \r\nЭто удобный способ для привлечения внимания посетителей портала к вашему предложению.\r\nСтаньте первыми в списке и будете лидером по числу просмотров.";}s:16:"description_full";a:2:{s:2:"ru";s:489:"<p>Повышая приоритет вашего объявления вы поднимаете его в начало списка объявлений схожей тематики.&nbsp;\r\n</p><p>Это удобный способ для привлечения внимания посетителей портала к вашему предложению.&nbsp;</p><p>Станьте первыми в списке и будете лидером по числу просмотров.</p>";s:2:"uk";s:489:"<p>Повышая приоритет вашего объявления вы поднимаете его в начало списка объявлений схожей тематики.&nbsp;\r\n</p><p>Это удобный способ для привлечения внимания посетителей портала к вашему предложению.&nbsp;</p><p>Станьте первыми в списке и будете лидером по числу просмотров.</p>";}}', '2014-07-11 19:45:01', 1, 'cb1c.png', '780d.png', 1),
(2, 1, 'mark', 'bbs', 'Объявления', 'Выделение', 6, 'a:7:{s:6:"period";i:7;s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:1;s:2:"on";i:1;s:10:"title_view";a:2:{s:2:"ru";s:18:"Выделение";s:2:"uk";s:18:"Выделение";}s:11:"description";a:2:{s:2:"ru";s:321:"Объявление выделяется желтым фоном на всё время размещения на сайте. \r\nВыделение объявления — отличный способ сделать ваше объявление более ярким и заметным на фоне соседних.";s:2:"uk";s:321:"Объявление выделяется желтым фоном на всё время размещения на сайте. \r\nВыделение объявления — отличный способ сделать ваше объявление более ярким и заметным на фоне соседних.";}s:16:"description_full";a:2:{s:2:"ru";s:338:"<p>Объявление выделяется желтым фоном на всё время размещения на сайте.&nbsp;</p><p>Выделение объявления — отличный способ сделать ваше объявление более ярким и заметным на фоне соседних.</p>";s:2:"uk";s:338:"<p>Объявление выделяется желтым фоном на всё время размещения на сайте.&nbsp;</p><p>Выделение объявления — отличный способ сделать ваше объявление более ярким и заметным на фоне соседних.</p>";}}', '2014-07-11 19:45:12', 1, 'ee4c.png', '04c8.png', 2),
(4, 1, 'fix', 'bbs', 'Объявления', 'Закрепление', 3, 'a:7:{s:6:"period";i:7;s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:1;s:2:"on";i:1;s:10:"title_view";a:2:{s:2:"ru";s:22:"Закрепление";s:2:"uk";s:22:"Закрепление";}s:11:"description";a:2:{s:2:"ru";s:335:"Закрепив объявление  вы поднимаете его в начало списка объявлений схожей тематики на 7 дней.\r\n - в 10 раз больше просмотров\r\n- в 5 раз больше откликов\r\n- продажа совершается гораздо быстрее";s:2:"uk";s:335:"Закрепив объявление  вы поднимаете его в начало списка объявлений схожей тематики на 7 дней.\r\n - в 10 раз больше просмотров\r\n- в 5 раз больше откликов\r\n- продажа совершается гораздо быстрее";}s:16:"description_full";a:2:{s:2:"ru";s:375:"<p>Закрепив объявление  вы поднимаете его в начало списка объявлений схожей тематики на 7 дней.&nbsp; </p><p>- В 10 раз больше просмотров&nbsp;</p><p>- В 5 раз больше откликов&nbsp;</p><p>- Продажа совершается гораздо быстрее</p>";s:2:"uk";s:375:"<p>Закрепив объявление  вы поднимаете его в начало списка объявлений схожей тематики на 7 дней.&nbsp; </p><p>- В 10 раз больше просмотров&nbsp;</p><p>- В 5 раз больше откликов&nbsp;</p><p>- Продажа совершается гораздо быстрее</p>";}}', '2014-05-30 11:04:18', 1, '54f2.png', '0d8a.png', 3),
(8, 1, 'premium', 'bbs', 'Объявления', 'Премиум', 8, 'a:0:{}', '2014-05-27 21:25:10', 1, '', '', 6),
(16, 1, 'press', 'bbs', 'Объявления', 'Публикация в прессе', 10, 'a:7:{s:6:"period";i:1;s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:0;s:2:"on";i:1;s:10:"title_view";a:2:{s:2:"ru";s:36:"Публикация в прессе";s:2:"uk";s:36:"Публикация в прессе";}s:11:"description";a:2:{s:2:"ru";s:454:"Вы можете сделать ваше объявление более заметным, опубликовав его в прессе. Объявления публикуются в городской газете города. Газета выходит каждую среду, продается во всех газетных киосках. Более подробные условия можно узнать, обратившись к нам.";s:2:"uk";s:454:"Вы можете сделать ваше объявление более заметным, опубликовав его в прессе. Объявления публикуются в городской газете города. Газета выходит каждую среду, продается во всех газетных киосках. Более подробные условия можно узнать, обратившись к нам.";}s:16:"description_full";a:2:{s:2:"ru";s:497:"<p>Вы можете сделать ваше объявление более заметным, опубликовав его в прессе.&nbsp;</p><p>Объявления публикуются в городской газете города.&nbsp;</p><p>Газета выходит каждую среду, продается во всех газетных киосках.&nbsp;</p><p>Более подробные условия можно узнать, обратившись к нам.</p>";s:2:"uk";s:497:"<p>Вы можете сделать ваше объявление более заметным, опубликовав его в прессе.&nbsp;</p><p>Объявления публикуются в городской газете города.&nbsp;</p><p>Газета выходит каждую среду, продается во всех газетных киосках.&nbsp;</p><p>Более подробные условия можно узнать, обратившись к нам.</p>";}}', '2014-05-30 11:04:18', 1, 'bb34.png', '5e16.png', 7),
(17, 2, 'import', 'bbs', 'Объявления', 'Пакет "Турбо"', 25, 'a:7:{s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:0;s:2:"on";i:1;s:3:"svc";a:4:{s:4:"mark";a:2:{s:2:"id";i:2;s:3:"cnt";i:5;}s:3:"fix";a:2:{s:2:"id";i:4;s:3:"cnt";i:5;}s:5:"quick";a:2:{s:2:"id";i:32;s:3:"cnt";i:15;}s:5:"press";a:2:{s:2:"id";i:16;s:3:"cnt";i:0;}}s:10:"title_view";a:2:{s:2:"ru";s:23:"Пакет "Турбо"";s:2:"uk";s:23:"Пакет "Турбо"";}s:11:"description";a:2:{s:2:"ru";s:342:"Хотите продать свой товар/услугу максимально быстро? Тогда это предложение именно для вас:\r\n- Закрепление объявления на 5 дней\r\n- Выделение объявления на 5 дней\r\n- Пометка “Срочно” на 15 дней";s:2:"uk";s:342:"Хотите продать свой товар/услугу максимально быстро? Тогда это предложение именно для вас:\r\n- Закрепление объявления на 5 дней\r\n- Выделение объявления на 5 дней\r\n- Пометка “Срочно” на 15 дней";}s:16:"description_full";a:2:{s:2:"ru";s:382:"<p>Хотите продать свой товар/услугу максимально быстро? Тогда это предложение именно для вас:&nbsp;</p><p>- Закрепление объявления на 5 дней&nbsp;</p><p>- Выделение объявления на 5 дней&nbsp;</p><p>- Пометка “Срочно” на 15 дней</p>";s:2:"uk";s:382:"<p>Хотите продать свой товар/услугу максимально быстро? Тогда это предложение именно для вас:&nbsp;</p><p>- Закрепление объявления на 5 дней&nbsp;</p><p>- Выделение объявления на 5 дней&nbsp;</p><p>- Пометка “Срочно” на 15 дней</p>";}}', '2014-05-30 11:04:18', 1, '6e94.png', 'c12a.png', 2),
(32, 1, 'quick', 'bbs', 'Объявления', 'Срочно', 2, 'a:7:{s:6:"period";i:7;s:5:"color";s:7:"#F5F5F5";s:8:"add_form";i:1;s:2:"on";i:1;s:10:"title_view";a:2:{s:2:"ru";s:12:"Срочно";s:2:"uk";s:12:"Срочно";}s:11:"description";a:2:{s:2:"ru";s:394:"Пометьте объявление как срочное до тех пор, пока вы не продадите свой товар.\r\n- вы привлекаете больше внимания, а значит получаете больше откликов\r\n- ваше объявление становится более заметным среди других предложений";s:2:"uk";s:394:"Пометьте объявление как срочное до тех пор, пока вы не продадите свой товар.\r\n- вы привлекаете больше внимания, а значит получаете больше откликов\r\n- ваше объявление становится более заметным среди других предложений";}s:16:"description_full";a:2:{s:2:"ru";s:423:"<p>Пометьте объявление как срочное до тех пор, пока вы не продадите свой товар.&nbsp;</p><p>- Вы привлекаете больше внимания, а значит получаете больше откликов&nbsp;</p><p>- Ваше объявление становится более заметным среди других предложений</p>";s:2:"uk";s:423:"<p>Пометьте объявление как срочное до тех пор, пока вы не продадите свой товар.&nbsp;</p><p>- Вы привлекаете больше внимания, а значит получаете больше откликов&nbsp;</p><p>- Ваше объявление становится более заметным среди других предложений</p>";}}', '2014-05-30 11:04:18', 1, '0eba.png', '2ccc.png', 4);

-- ------------------------------------------------------------------------------------
-- таблица региональной стоимости услуг
DROP TABLE IF EXISTS `bff_bbs_svc_price`;
CREATE TABLE IF NOT EXISTS `bff_bbs_svc_price` (
  id int(11) unsigned NOT NULL default 0,
  svc_id int(11) unsigned NOT NULL default 0,
  price float(10,0) NOT NULL default 0,
  category_id int(11) unsigned NOT NULL default 0,
  region_id int(11) unsigned NOT NULL default 0,
  num int(11) unsigned NOT NULL default 0,
  INDEX (svc_id),
  INDEX (svc_id, category_id, region_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ------------------------------------------------------------------------------------
-- счетчики
DELETE FROM `bff_config` WHERE config_name IN('bbs_items_claims');
INSERT INTO `bff_config` (`config_name`, `config_value`, `is_dynamic`) VALUES
('bbs_items_claims', '0', 1);

UPDATE `bff_users_stat` SET items = 0;

-- --------------------------------------------------------
-- права групп пользователей
DELETE FROM `bff_module_methods` WHERE module IN('bbs');
INSERT INTO `bff_module_methods` (`module`, `method`, `title`, `number`) VALUES
('bbs', 'bbs', 'Объявления', 40),
('bbs', 'items-listing', 'Просмотр списка объявлений', 1),
('bbs', 'items-edit', 'Управление объявлениями (добавление/редактирование/удаление)', 2),
('bbs', 'items-moderate', 'Модерация объявлений (блокирование/одобрение/продление/активация)', 3),
('bbs', 'items-comments', 'Управление комментариями', 4),
('bbs', 'items-press', 'Управление печатью в прессу', 5),
('bbs', 'claims-listing', 'Просмотр списка жалоб', 6),
('bbs', 'claims-edit', 'Управление жалобами (модерация/удаление)', 7),
('bbs', 'categories', 'Управление категориями', 8),
('bbs', 'types', 'Управление типами категорий', 9),
('bbs', 'svc', 'Управление услугами', 10),
('bbs', 'seo', 'SEO', 11),
('bbs', 'settings', 'Дополнительные настройки', 12);