<?php

$urlAdd = BBS::url('item.add');

switch($state)
{
    # Добавление + публикация
    case 'new.publicated': {
        if( BBS::PREMODERATION ) {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'После проверки модератором ваше объявление будет опубликовано') ?>
            </p>
        <?
        } else {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'Теперь вы можете <a [link_view]>просмотреть ваше объявление</a> или <a [link_add]>добавить ещё одно</a>',
                    array(
                        'link_view'=>'href="'.$item['link'].'?from=add"',
                        'link_add'=>'href="'.$urlAdd.'"'
                     )) ?>
            </p>
        <? }
        ?>
            <div class="l-page__useful">
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', '<a [link_add]>Добавить объявление</a> в ту же категорию', array('link_add'=>'href="'.$urlAdd.'?cat='.$item['cat_id'].'"')); ?></span>
                </div>
                <? if (User::id()){ ?>
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад к <a [link_mylist]>списку своих объявлений</a>', array('link_mylist'=>'href="'.BBS::url('my.items', array('from'=>'add')).'"')); ?></span>
                </div>
                <? } ?>
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад на <a [link_home]>главную страницу</a>', array('link_home'=>'href="'.bff::urlBase().'"')); ?></span>
                </div>
            </div>
        <?
    } break;

    # Добавление от невторизованного пользователя
    case 'new.notactivated': {
        ?>
        <p>
           <?= _t('item-form', 'Ваше объявление сохранено, но ещё не опубликовано. <br />
           Мы выслали вам письмо на адрес <b>[email]</b> со ссылкой для активации, пожалуйста, проверьте вашу почту. <br />
           Если вы не видите письма, проверьте папку Спам, а также правильность написания вашего адреса.', array(
                'email' => $user['email']
           )) ?>
        </p>
        <div class="l-page__useful">
            <div class="l-page__useful__item">
                <span><?= _t('item-form', '<a [link_add]>Добавить еще одно</a> объявление', array('link_add'=>'href="'.$urlAdd.'"')); ?></span>
            </div>
            <div class="l-page__useful__item">
                <span><?= _t('item-form', '<a [link_add]>Добавить объявление</a> в ту же категорию', array('link_add'=>'href="'.$urlAdd.'?cat='.$item['cat_id'].'"')); ?></span>
            </div>
            <div class="l-page__useful__item">
                <span><?= _t('item-form', 'Назад на <a [link_home]>главную страницу</a>', array('link_home'=>'href="'.bff::urlBase().'"')); ?></span>
            </div>
        </div>
        <?
    } break;

    # Отредактировали (без изменения статуса)
    case 'edit.normal': {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'Теперь вы можете <a [link_view]>просмотреть ваше объявление</a> или <a [link_add]>добавить ещё одно</a>',
                    array(
                        'link_view'=>'href="'.$item['link'].'?from=edit"',
                        'link_add'=>'href="'.$urlAdd.'"'
                     )) ?>
            </p>
            <div class="l-page__useful">
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', '<a [link_add]>Добавить объявление</a> в ту же категорию', array('link_add'=>'href="'.$urlAdd.'?cat='.$item['cat_id'].'"')); ?></span>
                </div>
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад к <a [link_mylist]>списку своих объявлений</a>', array('link_mylist'=>'href="'.BBS::url('my.items', array('from'=>'edit')).'"')); ?></span>
                </div>
            </div>
        <?
    } break;

    # Опубликовали
    case 'edit.publicated': {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'Теперь вы можете <a [link_view]>просмотреть ваше объявление</a> или <a [link_add]>добавить ещё одно</a>',
                    array(
                        'link_view'=>'href="'.$item['link'].'?from=edit"',
                        'link_add'=>'href="'.$urlAdd.'"'
                     )) ?>
            </p>
            <div class="l-page__useful">
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад к <a [link_mylist]>списку своих объявлений</a>', array('link_mylist'=>'href="'.BBS::url('my.items', array('from'=>'edit')).'"')); ?></span>
                </div>
            </div>
        <?
    } break;

    # Сняли с публикации
    case 'edit.publicated.out': {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'Теперь ваше объявление недоступно для просмотра') ?>
            </p>
            <div class="l-page__useful">
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Перейти на просмотр <a [link_mylist]>списка своих объявлений</a>', array('link_mylist'=>'href="'.BBS::url('my.items', array('from'=>'edit')).'"')); ?></span>
                </div>
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад на <a [link_home]>главную страницу</a>', array('link_home'=>'href="'.bff::urlBase().'"')); ?></span>
                </div>
            </div>
        <?
    } break;

    # Редактирование заблокированного объявления
    case 'edit.blocked.wait': {
        ?>
            <p class="align-center">
                <?= _t('item-form', 'После повторной проверки модератором объявление будет опубликовано') ?>
            </p>
            <div class="l-page__useful">
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Перейти на просмотр <a [link_mylist]>списка своих объявлений</a>', array('link_mylist'=>'href="'.BBS::url('my.items', array('from'=>'edit')).'"')); ?></span>
                </div>
                <div class="l-page__useful__item">
                    <span><?= _t('item-form', 'Назад на <a [link_home]>главную страницу</a>', array('link_home'=>'href="'.bff::urlBase().'"')); ?></span>
                </div>
            </div>
        <?
    } break;

    # Успешно активировали услугу / пакет услуг
    case 'promote.success': {
        ?>
            <p class="align-center">
                <?= _t('bbs', 'Вы успешно активировали услугу для объявления: <br /><a [link]>[title]</a>', array(
                    'link' => 'href="'.$item['link'].'"',
                    'title' => $item['title'],
                )) ?>

            </p>
        <div class="l-page__useful">
            <? if ( $from == 'my' ) { ?>
            <div class="l-page__useful__item">
                <span><?= _t('bbs', 'Вернуться к <a [my_link]>списку своих объявлений</a>', array('my_link'=>'href="'.BBS::url('my.items').'"')) ?></span>
            </div>
            <? } ?>
            <div class="l-page__useful__item">
                <span><?= _t('item-form', 'Назад на <a [link_home]>главную страницу</a>', array('link_home'=>'href="'.bff::urlBase().'"')); ?></span>
            </div>
        </div>
        <?
    } break;
}