<?php
/**
 * Фильтр региона: layout
 * @var $this Geo
 */

# при покрытии города: скрываем фильтр по региону
$coveringType = Geo::coveringType();
if ($coveringType == Geo::COVERING_CITY) {
    return;
}

# фильтр: регион
$regionID = 0;
$regionData = Geo::filter(); # user
if( ! empty($regionData['id']) ) {
    $regionID = $regionData['id'];
}

/* Фильтр по региону (desktop): popup */
if( $device == bff::DEVICE_DESKTOP || $device == bff::DEVICE_TABLET ) { ?>
    <? if($coveringType == Geo::COVERING_COUNTRY) { ?>
        <div id="j-f-region-desktop-popup" class="f-navigation__region_change dropdown-block box-shadow abs hide">
            <div id="j-f-region-desktop-st1" class="f-navigation__region_change_main<? if($regionID > 0) { ?> hide<? } ?>">
                <!--for: desktop-->
                <div class="f-navigation__region_change_desktop hidden-phone">
                    <fieldset class="row-fluid">
                        <form class="form-inline pull-left" action="">
                            <?= _t('filter', 'Выберите регион:') ?>
                            <div class="input-append">
                                <input type="text" id="j-f-region-desktop-st1-q" placeholder="<?= _t('filter', 'Введите первые буквы...') ?>" />
                                <button class="btn" type="button"><i class="fa fa-search"></i></button>
                            </div>
                        </form>
                        <div class="pull-right nowrap">
                            <?= _t('filter', 'Искать объявления по') ?> <a href="<?= bff::urlBase() ?>" id="j-f-region-desktop-all" data="{id:0,pid:0,title:'<?= _t('filter', 'Все регионы') ?>'}"><?= _t('filter', 'всей стране') ?></a>
                        </div>
                    </fieldset>
                    <hr />
                    <div id="j-f-region-desktop-st1-v">
                        <?= $this->filterData('desktop-country-step1', 0); ?>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            <div id="j-f-region-desktop-st2" class="f-navigation__region_change_sub hidden-phone<? if( ! $regionID) { ?> hide<? } ?>">
                <? if($regionID > 0) { echo $this->filterData('desktop-country-step2', $regionID); } ?>
            </div>
        </div>
    <? } else if ($coveringType == Geo::COVERING_REGION) { ?>
        <?= $this->filterData('desktop-region'); ?>
    <? } else if ($coveringType == Geo::COVERING_CITIES) { ?>
        <?= $this->filterData('desktop-cities'); ?>
    <? } ?>
<? }

/* Фильтр по региону (phone) */
if($device == bff::DEVICE_PHONE) { ?>
    <!--STAR select rerion-->
    <div class="select-ext">
        <div class="select-ext-container" style="width:100%">
            <a class="select-ext-bnt" href="#" id="j-f-region-phone-link">
                <span><?= ( $regionID > 0 ? $regionData['title'] : _t('filter', 'Все регионы') ) ?></span>
                <i class="fa fa-caret-down"></i>
            </a>
            <div id="j-f-region-phone-popup" class="select-ext-drop hide" style="width:99%;">
                <div class="select-ext-search">
                    <input type="text" autocomplete="off" style="min-width: 183px;" id="j-f-region-phone-q" />
                    <a href="#"><i class="fa fa-search"></i></a>
                </div>
                <ul class="select-ext-results" id="j-f-region-phone-q-list">
                    <?= $this->filterData('phone-presuggest') ?>
                </ul>
                <div class="select-ext-no-results hide">
                    <span><?= _t('filter', 'Не найдено - "[word]"', array('word'=>'<span class="word"></span>')) ?></span>
                </div>
            </div>
        </div>
    </div>
    <!--END select rerion-->
<? }