-- ------------------------------------------------------------------------------------
-- Вопросы
DROP TABLE IF EXISTS `bff_help_questions`;
CREATE TABLE `bff_help_questions` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `cat_id1` int(11) unsigned NOT NULL default 0,
  `cat_id2` int(11) unsigned NOT NULL default 0,
  `cat_id` int(11) unsigned NOT NULL default 0,
  `link` text, -- Ссылка на вопрос
  `content` text,
  `enabled` tinyint(1) unsigned NOT NULL default 0,
  `fav` int(11) unsigned NOT NULL default 0,
  `created` timestamp NOT NULL default '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL default '0000-00-00 00:00:00',
  `user_id` int(11) unsigned NOT NULL default 0,
  `num` int(11) unsigned NOT NULL default 0,
  `mtemplate` tinyint(1) unsigned NOT NULL default 1,
  PRIMARY KEY (id),
  KEY cat (cat_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- Вопросы - мультиязычные данные
DROP TABLE IF EXISTS `bff_help_questions_lang`;
CREATE TABLE `bff_help_questions_lang` (
  `id` int(11) unsigned NOT NULL,
  `lang` char(2) NOT NULL default '',
  `title` varchar(200) NOT NULL default '',
  `textshort` text,
  `mtitle` varchar(200) NOT NULL default '',
  `mkeywords` text,
  `mdescription` text,
  `content_search` text,
  UNIQUE KEY `lang` (`id`,`lang`),
  FULLTEXT KEY `ft_search` (title,textshort,content_search)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ------------------------------------------------------------------------------------
-- Категорий
DROP TABLE IF EXISTS `bff_help_categories`;
CREATE TABLE `bff_help_categories` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `pid` int(11) unsigned default NULL,
  `keyword` varchar(300) NOT NULL default '',
  `keyword_edit` varchar(100) NOT NULL default '',
  `enabled` tinyint(1) unsigned NOT NULL default 0,
  `created` timestamp NOT NULL default '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL default '0000-00-00 00:00:00',
  `numleft` int(11) unsigned default NULL,
  `numright` int(11) unsigned default NULL,
  `numlevel` int(11) unsigned default NULL,
  `mtemplate` tinyint(1) unsigned NOT NULL default 1,
  PRIMARY KEY (id),
  UNIQUE KEY (id,numleft,numright)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- ------------------------------------------------------------------------------------
-- Категорий - мультиязычные данные
DROP TABLE IF EXISTS `bff_help_categories_lang`;
CREATE TABLE `bff_help_categories_lang` (
  `id` int(11) unsigned NOT NULL,
  `lang` char(2) NOT NULL default '',
  `title` varchar(200) NOT NULL default '',
  `mtitle` varchar(200) NOT NULL default '',
  `mkeywords` text,
  `mdescription` text,
  UNIQUE KEY `lang` (`id`,`lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `bff_help_categories` (id,pid,numleft,numright,numlevel) VALUES (1,0,1,2,0);
INSERT INTO `bff_help_categories_lang` (id,title,lang) VALUES (1,'Корневой раздел','ru');

-- --------------------------------------------------------
-- права групп пользователей
DELETE FROM `bff_module_methods` WHERE module IN('help');
INSERT INTO `bff_module_methods` (`module`, `method`, `title`, `number`) VALUES
('help', 'help', 'Помощь', 100),
('help', 'questions', 'Управление вопросами', 1),
('help', 'categories', 'Управление категориями', 2),
('help', 'seo', 'SEO', 3);