-- --------------------------------------------------------
-- таблица сообщений внутренней почты
-- shop_id - ID магазина
-- item_id - ID объявления

DROP TABLE IF EXISTS `bff_internalmail`;
CREATE TABLE `bff_internalmail` (
  id int(11) unsigned NOT NULL auto_increment,
  shop_id int(11) unsigned NOT NULL default 0,
  item_id int(11) unsigned NOT NULL default 0,
  author int(11) unsigned NOT NULL,
  recipient int(11) unsigned NOT NULL,
  message text,
  attach  text,
  is_new tinyint(1) unsigned NOT NULL default 0,
  created timestamp NOT NULL default '0000-00-00 00:00:00',
  readed timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (id),
  KEY conv (author, recipient),
  FULLTEXT ft_message (message,attach)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
-- таблица контактов пользователей внутренней почты

DROP TABLE IF EXISTS `bff_internalmail_contacts`;
CREATE TABLE `bff_internalmail_contacts` (
  user_id int(11) unsigned NOT NULL, -- id пользователя
  interlocutor_id int(11) unsigned NOT NULL, -- id собеседника
  interlocutor_folders text, -- список папок, в которых отмечен собеседник (через запятую)
  last_message_id int(11) unsigned NOT NULL default 0,
  last_message_date timestamp NOT NULL default '0000-00-00 00:00:00',
  messages_new smallint(5) unsigned NOT NULL default 0,
  messages_total smallint(5) unsigned NOT NULL default 0,
  shop_id int(11) unsigned NOT NULL default 0,
  PRIMARY KEY (user_id, interlocutor_id, shop_id),
  KEY user_id (user_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- таблица пользовательских папок (для группировки контаков)

DROP TABLE IF EXISTS `bff_internalmail_folders`;
CREATE TABLE IF NOT EXISTS `bff_internalmail_folders` (
  id mediumint(8) NOT NULL AUTO_INCREMENT,
  user_id int(11) unsigned NOT NULL,
  title varchar(100) NOT NULL default '',
  PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=10;

-- --------------------------------------------------------
-- таблица связи контактов пользователя с папкой
        
DROP TABLE IF EXISTS `bff_internalmail_folders_users`;
CREATE TABLE IF NOT EXISTS `bff_internalmail_folders_users` (
  user_id int(11) unsigned NOT NULL DEFAULT 0,
  interlocutor_id int(11) unsigned NOT NULL DEFAULT 0,
  shop_id int(11) unsigned NOT NULL default 0,
  folder_id mediumint(8) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (user_id, interlocutor_id, shop_id, folder_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- права групп пользователей
DELETE FROM `bff_module_methods` WHERE module IN('internalmail');
INSERT INTO `bff_module_methods` (`module`, `method`, `title`, `number`) VALUES
('internalmail', 'internalmail', 'Сообщения', 80),
('internalmail', 'my', 'Личная переписка', 1),
('internalmail', 'spy', 'Просмотр переписки пользователей', 2);
