$(function(){

    function onFilterRegion(data, submit)
    {
        if( submit ) {
            var $form = $('#j-f-form');
            $form.attr('action', $form.attr('action').replace(app.hostSearch, data.link) );
            $form.append('<input type="hidden" name="region" value="'+data.id+'" />');
            $form.submit();
        }
    }

    /**
     * region-filter (desktop)
     */
    app.popup('f-region-desktop', '#j-f-region-desktop-popup', '#j-f-region-desktop-link', {onInit: function($p){
        var _this = this;
        var $st1 = $p.find('#j-f-region-desktop-st1');
        var $st2 = $p.find('#j-f-region-desktop-st2'), st2cache = {}, st2citySel = '.f-navigation__region_change__links a';
        function doFilter(type, $link)
        {
            var f = $link.metadata(); f['type'] = type; f['link'] = $link.attr('href');
            _this.getLink().text(f.title);
            onFilterRegion(f, true);
        }
        $st1.on('click', '.f-navigation__region_change__links a', function(){
            var region = $(this).metadata();
            if( st2cache.hasOwnProperty(region.id) ) {
                $st2.html(st2cache[region.id].html).add($st1).toggleClass('hide');
            } else {
                /*alert(bff.ajaxURL('geo','filter-desktop-step2'));
                console.log(bff.ajaxURL('geo','filter-desktop-step2'));
                alert(region.id);*/
                bff.ajax(bff.ajaxURL('geo','filter-desktop-step2'), {region_id:region.id}, function(data){
                    if(data && data.success) {
                        $st2.html((st2cache[region.id] = data).html).add($st1).toggleClass('hide');
                    }
                });
            }
            return false;
        });
        var $st1q = $st1.find('#j-f-region-desktop-st1-q'), $st1v = false;
        $st1q.keyup(function(){ // filter regions by 'title'
            $(this).next().click();
        }).next().click(function(){
            if( $st1v == false) $st1v = $st1.find('#j-f-region-desktop-st1-v');
            var q = $st1q.val().toLowerCase();
            $st1v.find('ul, li').show();
            if( q == '' ) return false;
            $st1v.find('a').each(function(){
                if($(this).attr('title').toLowerCase().indexOf(q) == -1) $(this).parent().hide();
            });
            $st1v.find('ul.rel').each(function(){
                if($(this).show().find('li:visible').length == 1) $(this).hide();
            });
            $st1v.find('li.span3').each(function(){
                if( ! $(this).show().find('ul:visible').length) $(this).hide();
            });
            return false;
        });
        $st1.on('click', '#j-f-region-desktop-all', function(e){ nothing(e);
            _this.hide(); // search in "all" (reset region filter)
            doFilter('all', $(this));
            return false;
        });
        $st2.on('click', st2citySel, function(e){ nothing(e);
            _this.hide(); // search in "city"
            var $link = $(this);
            $link.metadata().title = $link.attr('title');
            $link.addClass('active').siblings().removeClass('active');
            doFilter('city', $link);
            return false;
        });
        $st2.on('click', '.j-f-region-desktop-st2-region', function(e){ nothing(e);
            $st2.find(st2citySel).removeClass('active');
            _this.hide(); // search in "region"
            doFilter('region', $(this));
            return false;
        });
        $st2.on('click', '.j-f-region-desktop-back', function(e){ nothing(e);
            $st2.add($st1).toggleClass('hide'); // reset "city" filter
            return false;
        });
    }});

    /**
     * region-filter (phone)
     */
    app.popup('f-region-phone', '#j-f-region-phone-popup', '#j-f-region-phone-link', {onInit: function($p){
        var _this = this;
        var $q = $p.find('#j-f-region-phone-q');
        var $qList = $p.find('#j-f-region-phone-q-list'), qListPresuggest = $qList.html();
        function doFilter(data)
        {
            $q.val('');
            qList(qListPresuggest, '');
            _this.getLink().find('span').text(data.title);
            onFilterRegion(data, true);
        }
        function qList(data, q)
        {
            var $notFoundList = $qList.next();
            if( ! data.length ) {
                $qList.hide().html(qListPresuggest);
                $notFoundList.find('.word').text(q);
                $notFoundList.show();
            } else {
                $notFoundList.hide();
                $qList.html(data).show();
            }
        }
        $q.keyup(function(){
            var q = this.value.toLowerCase();
            if( ! q.length) {
                qList(qListPresuggest, '');
            } else if(q.length >=2 ) {
                bff.ajax(bff.ajaxURL('geo', 'filter-phone-suggest'),{q:q},function(data){
                    if(data) {
                        qList(data.html, q);
                    }
                });
            }
        }).next().click(function(e){ nothing(e);
            $q.keyup();
        });
        $qList.on('click', 'li', function(e){ nothing(e);
            _this.hide(); // search in "region/city/all"
            doFilter( $(this).metadata() );
            return false;
        });
    }});
});