var jUserAuth = (function(){
    var inited = false, url = document.location.pathname, o = {lang:{}};

    function init(options, callback)
    {
         if(inited) return; inited = true;
         o = $.extend(o, options || {});
         $(function(){
             callback();
         });
    }

    function initLoginSocialButtons()
    {
        var url_login = o.login_social_url,
            url_return = o.login_social_return,
            popup;

        function socialPopup(o)
        {
            o = $.extend({w: 450, h: 380}, o || {});
            if(popup !== undefined) popup.close();
            var centerWidth = ($(window).width() - o.w) / 2;
            var centerHeight = ($(window).height() - o.h) / 2;
            popup = window.open(url_login+ o.provider+'?ret='+encodeURIComponent(url_return), "u_login_social_popup", "width=" + o.w + ",height=" + o.h + ",left=" + centerWidth + ",top=" + centerHeight + ",resizable=yes,scrollbars=no,toolbar=no,menubar=no,location=no,directories=no,status=yes");
            popup.focus();
            return false;
        }
        $('.j-u-login-social-btn').on('click', function(e){ nothing(e);
            var meta = $(this).metadata();
            if( meta && meta.hasOwnProperty('provider') ) {
                socialPopup(meta);
            }
        });
    }

    return {
        login: function(options)
        {
            o.login_social_url = '/';
            o.login_social_return = '/';
            init(options, function()
            {
                var f = app.form('#j-u-login-form', function($f){
                    if( ! f.checkRequired() ) return;
                    if( ! bff.isEmail( f.fieldStr('email') ) ) {
                        return f.fieldError('email', o.lang.email);
                    }
                    if( ! f.fieldStr('pass').length ) {
                        return f.fieldError('pass', o.lang.pass);
                    }
                    f.ajax(url, {}, function(data, errors){
                        if(data && data.success) {
                            bff.redirect(data.redirect);
                        } else {
                            f.fieldsError(data.fields, errors);
                        }
                    });
                });
                initLoginSocialButtons();
            });
        },
        register: function(options)
        {
            o.captcha = false;
            o.pass_confirm = false;
            o.login_social_url = '/';
            o.login_social_return = '/';
            init(options, function()
            {
                var f = app.form('#j-u-register-form', function($f){
                    if( ! f.checkRequired() ) return;
                    if( ! bff.isEmail( f.fieldStr('email') ) ) {
                        return f.fieldError('email', o.lang.email);
                    }
                    if( ! f.fieldStr('pass').length ) {
                        return f.fieldError('pass', o.lang.pass);
                    }
                    if( o.pass_confirm ) {
                        var pass2 = f.fieldStr('pass2');
                        if( ! pass2.length || pass2 != f.fieldStr('pass') ) {
                            return f.fieldError('pass2', o.lang.pass2);
                        }
                    }
                    if( o.captcha ) {
                        if( ! f.fieldStr('captcha').length ) {
                            return f.fieldError('captcha', o.lang.captcha);
                        }
                    }
                    if( ! f.$field('agreement').is(':checked') ) {
                        return f.fieldError('agreement', o.lang.agreement);
                    }
                    f.ajax(url, {}, function(data, errors){
                        if(data && data.success) {
                            bff.redirect(data.redirect);
                        } else {
                            if(o.captcha && data.captcha) {
                                $f.find('.j-captcha').triggerHandler('click');
                            }
                            f.fieldsError(data.fields, errors);
                        }
                    });
                });
                initLoginSocialButtons();
            });
        },
        registerEmailed: function(options)
        {
            init(options, function()
            {
                var $retry = $('#j-u-register-emailed-retry'), retry_process = false;
                if( $retry.length ) {
                    $retry.on('click', 'a', function(e){ nothing(e);
                        if(retry_process) return;
                        bff.ajax(url, {step:'emailed'}, function(data, errors){
                            if(data && data.success) {
                                app.alert.success(o.lang.success);
                                $retry.fadeOut();
                            } else {
                                app.alert.error(errors);
                            }
                        }, function(p){ retry_process = p; });
                    });
                }
            });
        },
        registerSocial: function(options)
        {
            init(options, function()
            {
                var formStatus = 'register', f, $form;
                function setFormStatus(status)
                {
                    formStatus = status;
                    $('.j-social', $form).toggle();
                    $('.j-shortpage-title').html(o.lang[status].title);
                    $('#j-u-register-social-email', $form).prop({readonly:(status=='login')});
                    app.alert.hide();
                }
                f = app.form('#j-u-register-social-form', function($f)
                {
                    if(formStatus == 'register') {
                        if( ! bff.isEmail( f.fieldStr('email') ) ) {
                            return f.fieldError('email', o.lang.register.email);
                        }
                        if( ! f.$field('agreement').is(':checked') ) {
                            return f.fieldError('agreement', o.lang.register.agreement);
                        }
                        f.ajax(url, {step:'social'}, function(data, errors){
                            if(data && data.success) {
                                if( data.exists ) {
                                    setFormStatus('login');
                                } else {
                                    bff.redirect(data.redirect);
                                }
                            } else {
                                f.fieldsError(data.fields, errors);
                            }
                        });
                    } else {
                        if( ! f.fieldStr('pass').length ) {
                            return f.fieldError('pass', o.lang.login.pass);
                        }
                        f.ajax(o.login_url, {social:true}, function(data, errors){
                            if(data && data.success) {
                                bff.redirect(data.redirect);
                            } else {
                                f.fieldsError(data.fields, errors);
                            }
                        });
                    }
                });
                $form = f.getForm();
                $('#j-u-register-social-email-change', $form).on('click', function(e){ nothing(e);
                    setFormStatus('register');
                });
            });
        },
        forgotStart: function(options)
        {
            init(options, function()
            {
                function formSubmit($f) {
                    var f = this;
                    if( ! f.checkRequired() ) return;
                    if( ! bff.isEmail( f.fieldStr('email') ) ) {
                        f.fieldError('email', o.lang.email); return;
                    }
                    f.ajax(url, {}, function(data, errors){
                        if(data && data.success) {
                            f.alertSuccess(o.lang.success, {hide:false,reset:true});
                        } else {
                            f.fieldsError(data.fields, errors);
                        }
                    });
                }
                app.form('#j-u-forgot-start-form-'+app.devices.desktop, formSubmit);
                app.form('#j-u-forgot-start-form-'+app.devices.phone, formSubmit);
            });
        },
        forgotFinish: function(options)
        {
            init(options, function()
            {
                function formSubmit($f) {
                    var f = this;
                    if( ! f.fieldStr('pass').length ) {
                        f.fieldError('pass', o.lang.pass); return;
                    }
                    f.ajax(url, {}, function(data, errors){
                        if(data && data.success) {
                            f.alertSuccess(o.lang.success, {hide:false,reset:true});
                            $f.find('button[type="submit"]').prop({disabled:true});
                        } else {
                            f.fieldsError(data.fields, errors);
                        }
                    });
                }
                app.form('#j-u-forgot-finish-form-'+app.devices.desktop, formSubmit);
                app.form('#j-u-forgot-finish-form-'+app.devices.phone, formSubmit);
            });
        }
    };
}());