/**
 * Кабинет: настройки
 */
var jMySettings = (function(){
    var inited = false, o = {lang:{},url_settings:'',tab:''},
        geo = {$block:0,addr:{$block:0,map:{},editor:{},lastQuery:''}},
        $cont, avatarUploader;

    function init()
    {
        $cont = $('#j-my-settings');

        // blocks togglers
        $cont.on('click', '.j-block-toggler', function(e){ nothing(e);
            toggleBlock($(this).data('block'), true, true);
        });

        // contacts (can be off)
        if ($cont.find('.j-form-contacts').length)
        {
            // avatar uploader
            avatarUploader = new qq.FileUploaderBasic({
                button: $cont.find('#j-my-avatar-upload').get(0),
                action: o.url_settings,
                params: {hash: app.csrf_token, act: 'avatar-upload'},
                uploaded: 0, multiple: false, sizeLimit: o.avatarMaxsize,
                allowedExtensions: ['jpeg','jpg','png','gif'],
                onSubmit: function(id, fileName) {
                    // progress - show
                },
                onComplete: function(id, fileName, data) {
                    if(data && data.success) {
                        setAvatarImg(data[o.avatarSzNormal]);
                    } else {
                        if(data.errors) {
                            app.alert.error(data.errors, {title: o.lang.ava_upload});
                        }
                    }
                    return true;
                },
                messages: o.lang.ava_upload_messages,
                showMessage: function(message, code) {
                    app.alert.error(message, {title: o.lang.ava_upload});
                }
            });

            // phones
            phonesInit(o.phonesLimit, o.phonesData);

            // geo
            geo.fn = (function(){
                geo.$block = $cont.find('#j-my-geo');
                //addr
                geo.addr.$block = geo.$block.find('#j-my-geo-addr');
                ymaps.ready(function(){
                    geo.addr.$addr = geo.addr.$block.find('#j-my-geo-addr-addr');
                    geo.addr.$lat = geo.addr.$block.find('#j-my-geo-addr-lat');
                    geo.addr.$lon = geo.addr.$block.find('#j-my-geo-addr-lon');
                    var coords = [geo.addr.$lat.val(), geo.addr.$lon.val()];
                    if( ! intval(coords[0])) {
                        coords = [ymaps.geolocation.latitude, ymaps.geolocation.longitude];
                    }
                    geoMapInit(app.devices.desktop, coords);
                    geoMapInit(app.devices.phone, coords);
                    geo.addr.$addr.on('keyup', $.debounce(function(){ geoMapSearch(); }, 700));
                    app.$W.on('app-device-changed', function(e, device){
                        if( device == app.devices.tablet ) device = app.devices.desktop;
                        geo.addr.editor[device].centerByMarker();
                    });
                });

                return {
                    onCity: function(cityID, ex)
                    {
                        if( ! ex.changed ) return;
                        if(ex.title.length > 0) {
                             geoMapSearch();
                        }
                    }
                };
            }());

            // contacts form
            app.form($cont.find('.j-form-contacts'), function(){
                var f = this;
                if( ! f.checkRequired({focus:true}) ) return;
                f.ajax(o.url_settings,{},function(data,errors){
                    if(data && data.success) {
                        f.alertSuccess(o.lang.saved_success);
                        f.$field('name').val(data.name);
                    } else {
                        f.fieldsError(data.fields, errors);
                    }
                });
            });

            // social form
            socialButtonsInit();
        }

        // enotify form
        app.form($cont.find('.j-form-enotify'), false, {
            onInit: function($f){
                var f = this;
                var $checks = $f.find('.j-my-enotify-check');
                $checks.on('click', function(){
                    if( f.isProcessing() ) return false;
                    f.ajax(o.url_settings,{},function(resp,errors){
                        if(resp && resp.success) {
                            $checks.prop({readonly:false});
                        } else {
                            f.alertError(errors);
                        }
                    });
                    return true;
                });
            }
        });

        // pass form
        app.form($cont.find('.j-form-pass'), function(){
            var f = this;
            if( ! f.checkRequired({focus:true}) ) return;
            if( f.fieldStr('pass1') != f.fieldStr('pass2') ) {
                f.fieldsError(['pass2'], o.lang.pass_confirm);
                return;
            }
            f.ajax(o.url_settings,{},function(data,errors){
                if(data && data.success) {
                    f.alertSuccess(o.lang.pass_changed, {reset:true});
                } else {
                    f.fieldsError(data.fields, errors);
                }
            });
        });

        // email form
        app.form($cont.find('.j-form-email'), function(){
            var f = this;
            if( ! f.checkRequired({focus:true}) ) return;
            if( ! bff.isEmail( f.fieldStr('email') ) ) {
                f.fieldsError(['email'], o.lang.email_wrong);
                return;
            }
            if( f.fieldStr('email') === f.fieldStr('email0') ) {
                f.fieldsError(['email'], o.lang.email_diff);
                return;
            }
            f.ajax(o.url_settings,{},function(data,errors){
                if(data && data.success) {
                    f.alertSuccess(o.lang.email_changed, {reset:true});
                    f.$field('email0').val( data.email );
                } else {
                    f.fieldsError(data.fields, errors);
                }
            });
        });

        // destroy form
        app.form($cont.find('.j-form-destroy'), function(){
            var f = this;
            if( ! f.checkRequired({focus:true}) ) return;
            f.ajax(o.url_settings,{},function(data,errors){
                if(data && data.success) {
                    f.alertSuccess(o.lang.account_destoyed, {reset:true});
                    setTimeout(function(){
                        bff.redirect(data.redirect);
                    }, 1500);
                } else {
                    f.fieldsError(data.fields, errors);
                }
            });
        });

        if (o.tab.length) {
            toggleBlock(o.tab, true, false);
        }
    }

    function setAvatarImg(img)
    {
        var $img = $cont.find('#j-my-avatar-img');
        if( img ) {
            $img.attr('src', img);
        } else {
            //
        }
    }

    function phonesInit(limit, phones)
    {
        var index  = 0, total = 0;
        var $block = $cont.find('#j-my-phones');

        function add(value)
        {
            if(limit>0 && total>=limit) return;
            index++; total++;
            $block.append('<div class="i-formpage__contacts__item">'+
                               '<div class="input-prepend">'+
                                    '<span class="add-on"><i class="ico ico__phone-dark"></i></span>'+
                                    '<input type="tel" maxlength="30" name="phones['+index+']" value="'+(value?value.replace(/"/g, "&quot;"):'')+'" class="input-large" placeholder="'+ o.lang.phones_tip+'" />'+
                               '</div>'+
                                (total==1 ? '&nbsp;<a class="pseudo-link-ajax j-plus" href="#"><small>'+ o.lang.phones_plus+'</small></a>':'')+
                          '</div>');
        }

        $block.on('click', '.j-plus', function(e){ nothing(e);
            add('');
        });

        phones = phones || {};
        for(var i in phones) {
            if( phones.hasOwnProperty(i) ) {
                add(phones[i].v);
            }
        }
        if( ! total ) {
            add('');
        }
    }

    function geoMapInit(device, centerCoords)
    {
        var $c = geo.addr.$block.find('#j-my-geo-addr-map-'+device);
        if ( ! $c.length) return;
        var map = geo.addr.map[device] = new ymaps.Map($c.get(0), {
            zoom: 13,
            center: centerCoords,
            behaviors: ['default']
        }, {autoFitToViewport: 'always'});
        map.controls.add('smallZoomControl', {top:5,left:5});
        geo.addr.editor[device] = bffmapEditorYandex();
        geo.addr.editor[device].init({
            map: map,
            coords: [geo.addr.$lat, geo.addr.$lon],
            address: geo.addr.$addr,
            addressKind: 'house'
        });
    }

    function geoMapSearch()
    {
        var query = [ geo.$block.find('.j-geo-city-select-country').val() ];
        var city = $.trim( geo.$block.find('.j-geo-city-select-ac').val() );
        if(city.length) query.push('г.'+city);
        var addr = $.trim( geo.addr.$addr.val() );
        if(addr) query.push(addr);
        query = query.join(', ');
        if( geo.addr.lastQuery == query ) return;
        geo.addr.lastQuery = query;
        if(geo.addr.editor.hasOwnProperty(app.devices.desktop)) {
            geo.addr.editor[app.devices.desktop].search(query, 0, function(obj, coords) {
                if(geo.addr.editor.hasOwnProperty(app.devices.phone)) {
                    geo.addr.editor[app.devices.phone].updateMarker(coords, false, 0);
                }
            });
        } else {
            geo.addr.editor[app.devices.phone].search(query, 0);
        }
    }

    function socialButtonsInit()
    {
        var popup;
        $cont.on('click', '.j-my-social-btn', function(e){ nothing(e);
            var $btn = $(this);
            var m = $btn.metadata(); if( ! m || ! m.hasOwnProperty('provider') ) return;
            if( $btn.hasClass('active') ) {
                bff.ajax(o.url_settings, {act:'social-unlink',provider:m.provider,hash:app.csrf_token}, function(resp, errors){
                    if( resp && resp.success ) {
                        $btn.removeClass('active');
                    } else {
                        app.alert.error(errors);
                    }
                });
                return;
            }
            m = $.extend({w: 450, h: 380}, m || {});
            if(popup !== undefined) popup.close();
            popup = window.open(o.url_social + m.provider+'?ret='+encodeURIComponent(o.url_settings), "u_login_social_popup",
                "width=" + m.w + "," +
                "height=" + m.h + "," +
                "left=" + ( (app.$W.width() - m.w) / 2 ) + "," +
                "top=" + ( (app.$W.height() - m.h) / 2 ) + "," +
                "resizable=yes,scrollbars=no,toolbar=no,menubar=no,location=no,directories=no,status=yes");
            popup.focus();
        });
    }

    function toggleBlock(key, open, scrollTo)
    {
        var $toggler = $cont.find('.j-block-toggler[data-block="'+key+'"]');
        if ( ! $toggler.length) return;
        var $block = $cont.find('.j-block-'+key);
        if ( ! $block.length) return;

        if (open) {
            if ($toggler.hasClass('active')) {
                toggleBlock(key, false);
                return;
            }
            var $togglerPrev = $cont.find('.j-block-toggler.active');
            if ($togglerPrev.length) {
                toggleBlock($togglerPrev.data('block'), false);
            }
            $block.removeClass('hide');
            $toggler.addClass('pseudo-link-ajax active')
                .find('.j-icon').toggleClass('fa-chevron-down fa-chevron-up');
            if(scrollTo) $.scrollTo($toggler, {duration: 400, offset: -20, axis: 'y'});
        } else {
            $block.addClass('hide');
            $toggler.removeClass('pseudo-link-ajax active')
                .find('.j-icon').toggleClass('fa-chevron-down fa-chevron-up');
        }
    }

    return {
        init: function(options)
        {
            if(inited) return; inited = true;
            o = $.extend(o, options || {});
            $(function(){ init(); });
        },
        onCitySelect: function(cityID, cityTitle, ex){
            geo.fn.onCity(cityID, ex);
        }
    };
}());